#pragma once

#include "CoreMinimal.h"
#include "AIPerkTunnableWeight.h"
#include "AIPerkTunableWeightArray.generated.h"

USTRUCT(BlueprintType)
struct FAIPerkTunableWeightArray
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FAIPerkTunnableWeight> Perks;

public:
	DBDBOTS_API FAIPerkTunableWeightArray();
};

FORCEINLINE uint32 GetTypeHash(const FAIPerkTunableWeightArray) { return 0; }
